/*
* $LastChangedBy$
* $LastChangedDate$
* $LastChangedRevision$
* $HeadURL$
*
* Copyright 2014 BlueConic Inc./BlueConic B.V. All rights reserved.
*/

import Foundation
/**
Interface Segment
*/
@objc public class BlueConicSegment: NSObject {
    private var _id: String
    private var _name: String

    @objc init(id: String, name: String) {
        self._id = id
        self._name = name
    }

    /**
    Returns the ID of the Segment.
    &lt;pre&gt:
    // Swift:
    let segmentId = segment.getId()

    // Objective-C:
    String* segmentId = [segment getId];
    &lt;/pre&gt:

    - returns:     The Name of the Segment
    */
    @objc public func getId() -> String {
        return self._id
    }

    /**
    Returns the name of the Segment.
    &lt;pre&gt:
    // Swift:
    let segmentName = segment.getName()

    // Objective-C:
    String* segmentName = [segment getName];
    &lt;/pre&gt:

    - returns:     The Name of the Segment
    */
    @objc public func getName() -> String {
        return self._name
    }

}
