/*
* $LastChangedBy$
* $LastChangedDate$
* $LastChangedRevision$
* $HeadURL$
*
* Copyright 2014 BlueConic Inc./BlueConic B.V. All rights reserved.
*/

import Foundation

@objc public class UpdateContentEvent: Event {
    private var _content: [String]
    @objc public var content: [String] {
        return self._content
    }

    private var _selector: String?
    @objc public var selector: String {
        guard let selector = self._selector else {
            return ""
        }
        return selector
    }

    @objc public init(content: String) {
		self._content = [content]
    }

    @objc public init(selector: String, content: String) {
        self._selector = selector
        self._content = [content]
    }
    
    @objc public override func message() -> String {
        return "'\(self.selector)' - \(self.name)"
    }
}
